%define upstream_name    DBIx-Class-ResultSet-RecursiveUpdate
%define upstream_version 0.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    DBIx-Class extension for providing recursive updates
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan) >= 6.40.0
BuildRequires: perl(DBD::SQLite) >= 1.210.0
BuildRequires: perl(DBIx::Class) >= 0.81.30
BuildRequires: perl(DBIx::Class::IntrospectableM2M)
BuildRequires: perl(Data::Dumper::Concise) >= 2.20.0
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils) >= 0.220.0
BuildRequires: perl(SQL::Translator) >= 0.110.160
BuildRequires: perl(Test::DBIC::ExpectedQueries) >= 2.1.0
BuildRequires: perl(Test::Exception) >= 0.430.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Test::Warn) >= 0.200.0
BuildRequires: perl(Try::Tiny) >= 0.300.0
BuildArch:  noarch

%description
You can feed the ->create method of DBIx::Class with a recursive datastructure
and have the related records created. Unfortunately you cannot do a similar
thing with update_or_create. This module tries to fill that void until
DBIx::Class has an api itself.

The functional interface can be used without modifications of the model, for
example by form processors like HTML::FormHandler::Model::DBIC.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 24 2024 tv <tv> 0.440.0-1.mga10
+ Revision: 2082453
- update to 0.44

* Wed Jul 10 2024 tv <tv> 0.430.0-1.mga10
+ Revision: 2080573
- update to 0.43

* Mon Mar 21 2022 umeabot <umeabot> 0.420.0-2.mga9
+ Revision: 1813135
- Mageia 9 Mass Rebuild

* Wed Aug 26 2020 tv <tv> 0.420.0-1.mga8
+ Revision: 1619077
- update to 0.42

* Thu May 14 2020 tv <tv> 0.410.0-1.mga8
+ Revision: 1583654
- update to 0.41

* Mon Feb 17 2020 umeabot <umeabot> 0.400.0-2.mga8
+ Revision: 1537376
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Oct 30 2019 tv <tv> 0.400.0-1.mga8
+ Revision: 1456807
- BR perl(Test::Exception)
- update to 0.40

* Wed Sep 19 2018 umeabot <umeabot> 0.340.0-7.mga7
+ Revision: 1267049
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.340.0-6.mga6
+ Revision: 1025467
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.340.0-5.mga6
+ Revision: 949492
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 789888
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.340.0-1.mga5
+ Revision: 588304
- update to 0.34

* Mon Oct 21 2013 umeabot <umeabot> 0.300.0-2.mga4
+ Revision: 537022
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.300.0-1.mga4
+ Revision: 486174
- update to 0.30

* Fri Jun 07 2013 jquelin <jquelin> 0.290.0-1.mga4
+ Revision: 438951
- update to 0.29

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 365125
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.260.0-1.mga3
+ Revision: 342002
- update to 0.26

* Tue Jun 05 2012 jquelin <jquelin> 0.250.0-1.mga3
+ Revision: 254740
- update to 0.25

* Wed Jun 15 2011 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 106565
- update to 0.24

* Fri Feb 25 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 59696
- update to 0.23

* Wed Jan 26 2011 jquelin <jquelin> 0.210.0-2.mga1
+ Revision: 39987
- mageia rebuild
- imported package perl-DBIx-Class-ResultSet-RecursiveUpdate

